MongoDB::lastError
MongoDB::prevError
MongoDB
PHP Manual

# MongoDB::listCollections

(PECL mongo >=0.9.0)

MongoDB::listCollections — Get a list of collections in this database

### Description

public array MongoDB::listCollections ( void )

### Parameters

This function has no parameters.

### Return Values

Returns a list of MongoCollections.

### Examples

Example #1 MongoDB::listCollections() example

The following example demonstrates dropping each collection in a database.

`<?php
$m = new Mongo();
$db = $m->selectDB("sample");
$list = $db->listCollections();
foreach ($list as $collection) {
echo "removing $collection... ";
$collection->drop();
echo "gone\n";
}
?>`

The above example will output something similar to:

    removing sample.blog.posts... gone
    removing sample.critical.docs... gone
    removing sample.taxes... gone
    ...

MongoDB::lastError
MongoDB::prevError
MongoDB
PHP Manual